Overview
Comment: | Updated ARM and Static internal build scripts to use Minimal build script
Added internal test script |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
b9a63425fbd1ea6816ce3c4df8a7e446 |
User & Date: | rkeene on 2010-09-26 04:46:05 |
Other Links: | manifest | tags |
Context
2010-09-26
| ||
04:46 | Added internal testing script check-in: b180e9a80f user: rkeene tags: trunk | |
04:46 |
Updated ARM and Static internal build scripts to use Minimal build script
Added internal test script check-in: b9a63425fb user: rkeene tags: trunk | |
04:46 | Updated to disable threads (crashes with Diet Libc) in internal build script check-in: bf92561b68 user: rkeene tags: trunk | |
Changes
Modified build/make-kit-arm from [cc63b53cf9] to [78d28dde77].
1 2 3 4 5 6 7 8 9 10 | #! /bin/sh PATH="${PATH}:/home/rkeene/root/cross-compilers/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/bin" AR=mipsel-linux-uclibc-ar CC=mipsel-linux-uclibc-gcc CXX=false RANLIB=mipsel-linux-uclibc-ranlib STRIP=mipsel-linux-uclibc-strip export PATH AR CC CXX RANLIB STRIP | < < < < < < | | 1 2 3 4 5 6 7 8 9 10 11 | #! /bin/sh PATH="${PATH}:/home/rkeene/root/cross-compilers/mipsel-linux-uclibc/usr/mipsel-linux-uclibc/bin" AR=mipsel-linux-uclibc-ar CC=mipsel-linux-uclibc-gcc CXX=false RANLIB=mipsel-linux-uclibc-ranlib STRIP=mipsel-linux-uclibc-strip export PATH AR CC CXX RANLIB STRIP ./build/make-minkit "$@" --host=mipsel-linux-uclibc |
Modified build/make-minkit-static from [19c1f7c112] to [05272e8f15].
1 2 3 4 5 6 | #! /bin/sh # Set C compiler to diet libc CC='diet gcc' export CC | < < < < < < | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 | #! /bin/sh # Set C compiler to diet libc CC='diet gcc' export CC rm -rf tcl/patchscripts mkdir tcl/patchscripts || exit 1 cat << \__EOF__ > tcl/patchscripts/dietlibc.sh sed 's@^# *include *<string.h>$@&@;T s;p;s@string.h@strings.h@;:s' generic/tclInt.h > generic/tclInt.h.new && cat generic/tclInt.h.new > generic/tclInt.h rm -f generic/tclInt.h.new __EOF__ ./build/make-minkit "$@" --disable-load --disable-threads rm -rf tcl/patchscripts exit 0 |
Added build/test/test version [cc021be514].
> > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 | #! /bin/bash VERSIONS="8.4.19 8.5.9 cvs_HEAD" for x in 1 2 3 __fail__; do if [ "${x}" = "${fail}" ]; then echo 'Unable to find KitCreator, aborting.' >&2 exit 1 fi if [ -x kitcreator ]; then break fi cd .. done ROOTDIR="$(pwd)" TESTDIR="${ROOTDIR}/build/test" export ROOTDIR TESTDIR rm -f "${TESTDIR}"/tclkit-* failed="" for kit in normal threaded min static win32 arm; do kitcreator="./kitcreator" args="" runnable="1" case "${kit}" in normal) true ;; threaded) args="--enable-threads" ;; min) kitcreator="./build/make-minkit" ;; static) kitcreator="./build/make-minkit-static" ;; win32) kitcreator="./build/make-kit-win32" runnable="0" ;; arm) kitcreator="./build/make-kit-arm" runnable="0" ;; esac for version in ${VERSIONS}; do createdkit="tclkit-${version}" outputname="${TESTDIR}/tclkit-${version}-${kit}" "${kitcreator}" "${version}" ${args} if [ ! -f "${createdkit}" ]; then echo "Failed to create kit ${version}/${kit}" >&2 failed="${failed} ${version}/${kit}-build" continue fi mv "${createdkit}" "${outputname}" if [ "${runnable}" != "1" ]; then continue fi scriptid=0 for testscp in 'exit 0' 'if {[::tcl::pkgconfig get 64bit] == 0} { exit 0 } else { exit 1}'; do scriptid=$[${scriptid} + 1] if ! echo "${testscp}" | "${outputname}" >/dev/null 2>/dev/null; then echo "Script failed: ${testscp} on ${version}/${kit}" >&2 failed="${failed} ${version}/${kit}-test-${scriptid}" continue fi done done done if [ -n "${failed}" ]; then echo "Failed: ${failed}" fi |